<?php
require_once dirname(__DIR__).'/lib/util.php';
require_once dirname(__DIR__).'/lib/bbscontent.php';
define('KDS__PATH', dirname(dirname(dirname(dirname(dirname(__FILE__))))) . DIRECTORY_SEPARATOR);
/**
 * Ӧǰ̨
 */
class IndexController extends PwBaseController {

    private $file = 'EXT:keydatas.conf';
    private $default = array();

    public function beforeAction($handlerAdapter) {
            parent::beforeAction($handlerAdapter);
            $this->file = Wind::getRealPath($this->file, false);
            set_error_handler(array(&$this,"appError"));
    }

    public function enterAction() {
		$_REQ = $this->keydatas_mergeRequest();
		if (isset($_REQ["__kds_flag"])){	
			if ($_REQ["__kds_flag"] == "post") {//ύ
				$keydatas_title_unique = $this->checkPassword($_REQ);
				$bbscontent = new keydatas_bbscontent($_REQ);
				$bbscontent->insertData();
			}
		}
    }

    private function checkPassword($_REQ) {
        $conf = @include $this->file;
        $conf || $conf = $this->default;
		 if (empty($_REQ['kds_password']) || $_REQ['kds_password'] != $conf['kds_password'])
		 {
			keydatas_failRsp(1403, "password error", "ύķ");
        }
    }

	public function keydatas_mergeRequest() {
	if (isset($_GET['__kds_flag'])) {
		$_REQ  = array_merge($_GET, $_POST);
	} else {
		$_REQ  = $_POST;
	}
	return $_REQ ;
	}

}

?>