<?php
defined('WEKIT_VERSION') or exit(403);
require_once dirname(__DIR__).'/lib/util.php';
Wind::import('ADMIN:library.AdminBaseController');

// 应用插件的后台配置
class ManageController extends AdminBaseController {

	private $file = 'EXT:keydatas.conf';
	private $default = array();

	public function beforeAction($handlerAdapter) {
		parent::beforeAction($handlerAdapter);
		$this->file = Wind::getRealPath($this->file, false);
	}


	public function run() {
		$conf = @include $this->file;
		$conf || $conf = $this->default;
                $reply = kdsVersion();
                $conf['version'] = $reply['version'];
                $conf['supportVersion'] = $reply['supportVersion'];
                $conf['basicWebAddress'] = str_replace('\\','/',$_SERVER['HTTP_HOST'].dirname($_SERVER['SCRIPT_NAME']));
		$this->setOutput($conf, 'conf');
	}

	//应用插件的设置提交

	public function doRunAction() {
		$conf = $this->getInput('conf', 'post');
		WindFile::savePhpData($this->file, $conf);
		$this->showMessage('success');
	}
}

?>